# Copyright (c) 2006-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			twolame
Summary:		TwoLAME is an optimised MPEG Audio Layer 2 (MP2) encoder
Version:		0.3.12
Release:		2.2
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
URL:			http://www.twolame.org/
# http://mesh.dl.sourceforge.net/sourceforge/twolame/%{name}-%{version}.tar.gz
Source:			%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	flac-devel
BuildRequires:	libsndfile-devel
BuildRequires:	pkgconfig

%description
TwoLAME is an optimised MPEG Audio Layer 2 (MP2) encoder based on
tooLAME by Mike Cheng, which in turn is based upon the ISO dist10
code and portions of LAME. TwoLAME includes libtwolame, a fully
thread-safe shared library with an API very similar to LAME's.

%package -n libtwolame0
Summary:	Shared libraries for TwoLame
Group:		System/Libraries

%description -n libtwolame0
TwoLAME is an optimised MPEG Audio Layer 2 (MP2) encoder based on
tooLAME by Mike Cheng, which in turn is based upon the ISO dist10
code and portions of LAME. TwoLAME includes libtwolame, a fully
thread-safe shared library with an API very similar to LAME's.

This package contains the shared libraries for TwoLame.

%package -n libtwolame-devel
Summary:	Include Files and Libraries mandatory for Development
Group:		Development/Libraries/C and C++
Requires:	libtwolame0 = %{version}
Provides:	twolame-devel = 0.3.10
Obsoletes:	twolame-devel < 0.3.10

%description -n libtwolame-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%debug_package

%prep
%setup -q -n %{name}-%{version}
%{?suse_update_config:%{suse_update_config -f}}

%__sed -i 's|\r||g' doc/html/*.html
%__chmod 644        doc/html/*.html

%build
%configure --disable-static
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__install -dm 755 %{buildroot}%{_docdir}
%__mv %{buildroot}%{_datadir}/doc/%{name} \
	%{buildroot}%{_docdir}/%{name}-devel

%__rm %{buildroot}%{_libdir}/*.la

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%post -n libtwolame0 -p /sbin/ldconfig

%postun -n libtwolame0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/twolame
%{_mandir}/man1/twolame.1*

%files -n libtwolame0
%defattr(-,root,root)
%{_libdir}/libtwolame.so.0
%{_libdir}/libtwolame.so.0.*.*

%files -n libtwolame-devel
%defattr(-,root,root)
%doc %{_docdir}/twolame-devel
%{_includedir}/*
%{_libdir}/libtwolame.so
%{_includedir}/*
%{_libdir}/pkgconfig/twolame.pc

%changelog
* Wed Jan 09 2008 Toni Graffy <toni@links2linux.de> - 0.3.12-0.pm.1
- update to 3.12
- changed package layout according Shared Library Packaging Policy
* Wed Mar 21 2007 Toni Graffy <toni@links2linux.de> - 0.3.10-0.pm.1
- update to 3.10
* Sun Dec 31 2006 Toni Graffy <toni@links2linux.de> - 0.3.9-0.pm.1
- update to 3.9
* Sun Sep 17 2006 Toni Graffy <toni@links2linux.de> - 0.3.8-0.pm.1
- build for packman
* Sat Jul 29 2006 - oc2pus <oc2pus@arcor.de> 0.3.8-1.oc2pus.1
- initial release 0.3.8
